Subject: bug#23945: 25.1.50; Request for review: Gnus Cloud work in scratch/gnus-cloud

From: Noam Postavsky <[email-masked]>
Date: Tue, 19 Jul 2016 21:36:12 -0400

On Tue, Jul 19, 2016 at 4:15 PM, Ted Zlatanov <[email-masked]> wrote:
> On Tue, 19 Jul 2016 10:50:07 -0400 Ted Zlatanov <[email-masked]> wrote:
>
> TZ> You're right. The history of this work goes back at least 4 years in the
> TZ> Gnus mailing list so I was hoping Lars or someone else familiar with
> TZ> that history would jump in. You can start with the most recent log of
> TZ> work I did:
>
> TZ> http://thread.gmane.org/gmane.emacs.gnus.general/85543/focus=87091
>
> TZ> I will write docs for the feature, but simply wasn't sure about some key
> TZ> aspects of it that depended on the code.
>
> I rebased and added docs for this feature. So now there's just three
> commits in the scratch/gnus-cloud branch.
>
> Let me know, based on the docs, what the commit message should say. I
> can't think of a good summary, since the work is really widespread in
> order to make this package useful.

Maybe something like "Bring gnus-cloud.el into working order", I
gather from that thread that it was broken before, right? That's still
not very descriptive but it looks like there's just a lot of little
changes that aren't really tied together. Perhaps it would be better
broken up into more commits (though that's probably not worth the
trouble at this point).